	.text
main:

	# 6! = 720
	li $a0, 1
	li $a1, 2
	li $a2, 3
	li $a3, 4
	li $t0, 5
	li $t1, 6

	addiu $sp, $sp, -12 # Allocate 3 word (2 args + ra)
	sw $ra, 8($sp)
	sw $t1, 4($sp)
	sw $t0, 0($sp)

	jal fct6

	lw $ra, 8($sp)
	addiu $sp, $sp, 12
	
	move $a0, $v0
	li $v0, 1
	syscall

	jr $ra
	
fct6:

	lw $t0, 0($sp)
	lw $t1, 4($sp)

	mult $a0, $a1
	mflo $v0
	mult $v0, $a2
	mflo $v0
	mult $v0, $a3
	mflo $v0
	mult $v0, $t0
	mflo $v0
	mult $v0, $t1
	mflo $v0

	jr $ra
